Support duo4kse.
[vuplus_openvuplus_3.0] / meta-openvuplus / recipes-devtools / python / python-flickrapi_1.4.2.bb
1 SUMMARY = "The official Python interface to the Flickr API"
2 HOMEPAGE = "http://stuvel.eu/flickrapi"
3 SECTION = "devel/python"
4 LICENSE = "PSF"
5 LIC_FILES_CHKSUM = "file://LICENSE;md5=d54e175a4083eea51ac31acaff818df5"
6 PRIORITY = "optional"
7 PR = "r3"
8
9 SRC_URI = "http://pypi.python.org/packages/source/f/flickrapi/flickrapi-${PV}.zip"
10 SRC_URI[md5sum] = "90dca08a45968b18da0894887f3e59b3"
11 SRC_URI[sha256sum] = "ac9304f571175b8af4fc2ee17d3e110847b526640665ca53d97bbf9df98329bc"
12
13 S = "${WORKDIR}/flickrapi-${PV}"
14
15 inherit distutils
16
17 # NOTE: the package only offers documentation as data, so fix the path here
18 # instead of trying to move all files retroactively.
19 DISTUTILS_INSTALL_ARGS += "--install-data=${D}/${docdir}/${PN}"
20
21 # NOTE: requires python-misc for webbrowser and subprocess as missing dependency of the webbrowser
22 RDEPENDS_${PN} = "\
23   python-core \
24   python-elementtree \
25   python-logging \
26   python-misc \
27   python-netclient \
28   python-subprocess \
29   python-threading \
30   python-xml \
31 "